removed all needless parts: git is doing the working

This commit is contained in:
Gerhard Hoffmann 2022-06-06 20:41:55 +02:00
parent d538f21a57
commit 0516843837

View File

@ -71,34 +71,9 @@ update_psa() {
update_psa_pull_customer_repository # message to ISMAS
# TODO: backup implementieren
# Backup before any updates in case some previous test was wrong
if ! backup_previous_version; then
log_error "$func:${LINENO}: backup failed"
revert_customer_repository
update_psa_backup_error # message to ISMAS
exit $?
fi
# no backup necessary as saved in git-repo
update_psa_backup # message to ISMAS
# TODO: use CLONE_CUSTOMER_REPOSITORY=true
# d.h. wird das rep geklont, also neu angelegt, dann sind eigentlich alle
# dateinen zu ueberpruefen
local changed_files=$(changed_file_names)
local files_to_copy=$(filter_changed_files "$changed_files" 'json|ini|hex')
update_psa_report_changed_file_names $changed_files # message to ISMAS
# check if *.conf and/or *.ini-files have to md5-sum as denoted
# in update.conf
if ! check_md5_for_changed_json_and_ini_files "$files_to_copy" ; then
local __r=$?
log_error "$func:${LINENO}: new customer files wrong"
revert_customer_repository
exit $__r
fi
if ! check_hardware_compatibility "$files_to_copy" ; then
local __r=$?
@ -107,14 +82,6 @@ update_psa() {
exit $__r
fi
# copy *.conf and/or *.ini-files to their corresponding system-directories
if ! copy $files_to_copy; then
local __r=$?
log_error "$func:${LINENO}: copy operation failed"
revert_customer_repository
exit $__r
fi
# check if the opkg-command-file has been changed during 'git pull'
if grep -qE ".*opkg_commands.*?" <<< $changed_files; then
# read opkg_cmds: each line respresents an opkg-command
@ -164,9 +131,9 @@ update_psa() {
fi
# Cleanup.
if ! cleanup_previous_version; then
log_error "$func:${LINENO}: cleanup_previous_version failed"
fi
#if ! cleanup_previous_version; then
# log_error "$func:${LINENO}: cleanup_previous_version failed"
#fi
# compute version string for current (i.e. new) version
compute_version